#
# spec file for package perl-Class-Date
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-Date
Version:        1.1.15
Release:        3.1
%define cpan_name Class-Date
Summary:        Class for easy date and time manipulation
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Date/
Source:         http://www.cpan.org/authors/id/S/SZ/SZABGAB/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Scalar::Util) >= 1.38
BuildRequires:  perl(Test::More) >= 1.001
%{perl_requires}
# MANUAL
BuildRequires:  timezone

%description
This module is intended to provide a general-purpose date and datetime type
for perl. You have a Class::Date class for absolute date and datetime, and
have a Class::Date::Rel class for relative dates.

You can use "+", "-", "<" and ">" operators as with native perl data types.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README success.txt

%changelog
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.1.15
  - Move Date/Const.pm to lib/Calss/Date/
  - Move Class::Date::Invalid and Class::Date::Rel to their own files in lib/Class/Date/
  - Require Scalar::Util and remove work-around lack of Scalar::Util
  - Require Env::C
  1.1.13 Fri May  2 08:32:15 2014
  - Use Test::More for testing
  1.1.12 Wed Apr 30 08:44:29 2014
  - Fixing MANIFEST.SKIP to include Makefile.PL and exclue MYMETA files.
  1.1.11 Wed Apr 30 06:56:24 2014
  - Convert the pod to UTF8 and add =encoding RT #94657
  - Minumum version of perl is not 5.006
  - Makefile updated
  - New maintainer: Gabor Szabo
- remove Class-Date-1.1.10.diff
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Jul 19 2010 anicka@suse.cz
- update to 1.1.10
  * Remove the deprecated UNIVERSAL::import (Vladimir Timofeev)
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 28 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o fixed deps
    req for Date::Parse
* Tue Jul  8 2008 anicka@suse.cz
- remove executable bits from documentation, move tests to %%check
* Wed Jul 12 2006 anicka@suse.cz
- update to 1.1.9
  * no upstream changelog available
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 anicka@suse.cz
- update to 1.1.8
* Thu Oct 30 2003 mjancar@suse.cz
- update to 1.1.7
- no root for build
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 mjancar@suse.cz
- update to 1.1.6
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- use $RPM_OPT_FLAGS
- fix filelist
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Thu Oct 17 2002 prehak@suse.cz
- update to version 1.1.1
* Tue Jul 30 2002 ro@suse.de
- fix build with perl-5.8
* Tue Jul  9 2002 prehak@suse.cz
- updated to version 1.0.10
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Jan  3 2002 cihlar@suse.cz
- update to version 1.0.8
* Mon Aug 13 2001 rvasice@suse.cz
- initial package release (version 1.0.5)
